#header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: var(--header-height);
  position: fixed;
  left: 50%;
  top: 20px;
  translate: -50% 0;
  z-index: 1;
  color: #333;
  border-radius: 9999px;
  background-color: rgba(255, 255, 255, 0.3411764706);
  backdrop-filter: blur(5px);
  padding: 30px;
}
#header .header_title .site_title {
  font-size: 2.2rem;
  letter-spacing: 0.1em;
  margin-bottom: 0.4rem;
}
#header .header_title .title_sub {
  font-size: 1.4rem;
}
#header .header_menu {
  display: flex;
  gap: 5rem;
  align-items: center;
}
#header .contact_btn {
  color: #fff;
  background-color: #333;
  padding: 14px 24px;
  border-radius: 4px;
  display: block;
  text-align: center;
}
@media screen and (max-width: 1024px) {
  #header {
    width: 95%;
  }
  #header .header_menu {
    gap: 3rem;
  }
}
@media screen and (max-width: 520px) {
  #header {
    top: 20px;
  }
  #header .header_title .site_title {
    font-size: 1.8rem;
    margin-bottom: 0.2rem;
  }
  #header .header_title .title_sub {
    font-size: 1.3rem;
  }
}

@media screen and (max-width: 520px) {
  #header {
    padding-right: 20px;
  }
  #header:has(.is_open) {
    background-color: transparent;
  }
  #header .header_menu {
    opacity: 0;
    transition: opacity 0.3s;
    pointer-events: none;
    position: fixed;
    display: block;
    top: 0;
    right: 0;
    background-color: #eeeeee;
    padding: 7rem 3rem 2rem;
    display: block;
    z-index: 100;
    width: 22rem;
    border-radius: 5px;
  }
  #header .header_menu li {
    margin-bottom: 1.6rem;
  }
  #header .header_menu li:last-child {
    margin-top: 4rem;
  }
  #header .header_menu.is_open {
    pointer-events: auto;
    opacity: 1;
  }
  #menu_bg {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 1;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.1803921569);
    opacity: 0;
    transition: opacity 0.3s;
  }
  #menu_bg.is_open {
    pointer-events: auto;
    opacity: 1;
  }
  #menu_btn {
    position: relative;
    z-index: 999;
    width: 48px;
    aspect-ratio: 1;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  #menu_btn .menu_btn_inner {
    display: flex;
    flex-direction: column;
    width: 80%;
    gap: 8px;
    align-items: center;
    justify-content: center;
  }
  #menu_btn i {
    width: 100%;
    height: 2px;
    background-color: #666;
    border-radius: 99px;
    display: block;
    transition: transform 0.3s;
  }
  #menu_btn.is_open i:nth-child(1) {
    transform: translateY(5px);
  }
  #menu_btn.is_open i:nth-child(2) {
    transform: translateY(-5px);
  }
}